$ErrorActionPreference = 'Stop';

$packageName = 'LogParser.LizardGui'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.lizard-labs.net/Download.aspx?fname=LogParserLizardSetup.msi'
$url64      = 'http://www.lizard-labs.net/Download.aspx?fname=LogParserLizardSetup.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'LogParser.LizardGui*'

  checksum      = '793dc18492c2c807cd73972a33b7bf9032da3269a62cd6a7a6c24fda4227f7a9'
  checksumType  = 'sha256'
  checksum64    = '793dc18492c2c807cd73972a33b7bf9032da3269a62cd6a7a6c24fda4227f7a9'
  checksumType64= 'sha256'

  silentArgs    = "/quiet /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
